Package org.opensaml.soap.wssecurity.impl

# Class ReferenceImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObject
org.opensaml.soap.wssecurity.impl.ReferenceImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `Reference`, `WSSecurityObject`

public class ReferenceImpl extends AbstractWSSecurityObject implements Reference
ReferenceImpl.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final AttributeMap`
`unknownAttributes`
Wildcard attributes.
`private String`
`uri`
wsse:Reference/@URI attribute.
`private String`
`valueType`
wsse:Reference/@ValueType attribute.

### Fields inherited from interface org.opensaml.soap.wssecurity.Reference

`ELEMENT_LOCAL_NAME, ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME, URI_ATTRIB_NAME, VALUE_TYPE_ATTRIB_NAME`

## Constructor Summary

Constructors
Constructor
Description
`ReferenceImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`String`
`getURI()`
Returns the wsse:Reference/@URI attribute value.
`String`
`getValueType()`
Returns the ValueType attribute URI value.
`void`
`setURI(String newURI)`
Sets the wsse:Reference/@URI attribute value.
`void`
`setValueType(String newValueType)`
Sets the ValueType attribute URI value.

### Methods inherited from class org.opensaml.soap.wssecurity.impl.AbstractWSSecurityObject

`getOrderedChildren`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### uri

@Nullable private String uri
wsse:Reference/@URI attribute.

### valueType

@Nullable private String valueType
wsse:Reference/@ValueType attribute.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
Wildcard attributes.

## Constructor Details

### ReferenceImpl

public ReferenceImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespace of the element
  `elementLocalName` - name of the element
  `namespacePrefix` - namespace prefix of the element

## Method Details

### getURI

@Nullable public String getURI()
Returns the wsse:Reference/@URI attribute value.

Specified by:
  `getURI` in interface `Reference`
Returns:
  the URI attribute value.

### setURI

public void setURI(@Nullable String newURI)
Sets the wsse:Reference/@URI attribute value.

Specified by:
  `setURI` in interface `Reference`
Parameters:
  `newURI` - the URI to set.

### getValueType

@Nullable public String getValueType()
Returns the ValueType attribute URI value.

Specified by:
  `getValueType` in interface `Reference`
Returns:
  the ValueType attribute value or `null`.

### setValueType

public void setValueType(@Nullable String newValueType)
Sets the ValueType attribute URI value.

Specified by:
  `setValueType` in interface `Reference`
Parameters:
  `newValueType` - the ValueType attribute value.

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes